#----------------------------------------------------------------
# @(#) siemens-nss/tech_pack_support/SR12/NSS/EngineConfig.pm siemens-nss_r3.3.0.latest:cset.003149:4:4@(#)
#----------------------------------------------------------------
#
# This perl module contains the configuration information for this parser.
# If you don't understand the format of this configuration file DON'T TOUCH IT.
#
# Siemens parser
# Vendor Version v9.
#
# (c) Copyright IBM Corporation 2007. All rights reserved.

package EngineConfig;

@ISA = qw(Exporter);
@EXPORT = qw(engine_config);

use Exporter ();
use strict;

my @rules = (
##############################################################################
##############              SIEMENS INTERFACE				######
##############################################################################
        {       
		RULE_TYPE => 'SIEMENS_INTERFACE',
                RULE_DESC => 'Convert Siemens v12 report files to PIF files',
                INPUT_FILE_DESCRIPTION => [ '^.*\.spf$' ],
                INPUT_DIR_DEPTH => 0,
                DO_NOT_DELETE => 0,
                CONFIG_FILENAME => './config-v12',
                HEADER_FIELDS_FOR_PIF_FILENAME => [qw(MEASURE_ID CMD_NO VERSION EXCH_ID FILENAME)],
                DATA_FIELDS_FOR_PIF_FILENAME => [qw(START_DATE TIME)],
	},

#        {       'RULE_TYPE'              => 'SIEMENS_INTERFACE',
#                'RULE_DESC'              => 'Convert Siemens v11 report files to PIF files',
#                'INPUT_FILE_DESCRIPTION' => [ '.+$' ],
#                'INPUT_DIR_DEPTH'        => 0,
#                'DO_NOT_DELETE'          => 0,
#                'CONFIG_FILENAME'        => './config-v11',
#                'HEADER_FIELDS_FOR_PIF_FILENAME' => [qw(MEASURE_ID CMD_NO VERSION EXCH_ID)],
#                'DATA_FIELDS_FOR_PIF_FILENAME'   => [qw(START_DATE TIME)],
#	}
#       {	'RULE_TYPE' => 'SIEMENS_INTERFACE',
#               'RULE_DESC' => 'Convert Siemens v9 report files to PIF files',
#               'INPUT_FILE_DESCRIPTION' => [ '.+$' ],
#               'INPUT_DIR_DEPTH'        => 0,
#               'DO_NOT_DELETE'          => 0,
#               'CONFIG_FILENAME'        => './config-v9',
#               'HEADER_FIELDS_FOR_PIF_FILENAME' => [qw(MEASURE_ID CMD_NO VERSION EXCH_ID)],
#               'DATA_FIELDS_FOR_PIF_FILENAME'   => [qw(START_DATE TIME)],
#       }
#       {	'RULE_TYPE' => 'SIEMENS_INTERFACE',
#                'RULE_DESC' => 'Convert Siemens_v8 report files to PIF files',
#                'INPUT_FILE_DESCRIPTION' => [ '.+$' ],
#                'INPUT_DIR_DEPTH' => 0,
#                'DO_NOT_DELETE' => 0,
#                'CONFIG_FILENAME' => './config-v8',
#        }
#        {       'RULE_TYPE' => 'SIEMENS_INTERFACE',
#                'RULE_DESC' => 'Convert Siemens_v7 report files to PIF files',
#                'INPUT_FILE_DESCRIPTION' => [ '.+$' ],
#                'INPUT_DIR_DEPTH' => 0,
#                'DO_NOT_DELETE' => 0,
#                'CONFIG_FILENAME' => './config-v7',
#        }
#        {       'RULE_TYPE' => 'SIEMENS_INTERFACE',
#                'RULE_DESC' => 'Convert Siemens_v6 report files to PIF files',
#                'INPUT_FILE_DESCRIPTION' => [ '.+$' ],
#                'INPUT_DIR_DEPTH' => 0,
#                'DO_NOT_DELETE' => 0,
#                'CONFIG_FILENAME' => './config-v6',
#        }
#        {       'RULE_TYPE' => 'SIEMENS_INTERFACE',
#                'RULE_DESC' => 'Convert Siemens_v5 report files to PIF files',
#                'INPUT_FILE_DESCRIPTION' => [ '.+$' ],
#                'INPUT_DIR_DEPTH' => 0,
#                'DO_NOT_DELETE' => 0,
#                'CONFIG_FILENAME' => './config-v5',
#        }
#        {       'RULE_TYPE' => 'SIEMENS_INTERFACE',
#                'RULE_DESC' => 'Convert Siemens_v4 report files to PIF files',
#                'INPUT_FILE_DESCRIPTION' => [ '.+$' ],
#                'INPUT_DIR_DEPTH' => 0,
#                'DO_NOT_DELETE' => 0,
#                'CONFIG_FILENAME' => './config-v4',
#        }

);

sub engine_config{
	return \@rules;
}

1;


